Update to 3.1 with shell script errors at the end

Discussion in 'General' started by rmontagud, Oct 4, 2016.

  1. rmontagud

    rmontagud New Member

    And the update script told me it was sucessful but finished with a shell script error and it failed to properly reconfigure the services which I fixed by reapplying my previous configuration (postfix/amavis) at least

    System base was Debian 8 and the previous version was ispconfig
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The shell script error is ok, see report in bugtracker, this was not the resaon for your config issue. I updated several Debian 8 to ispconfig 3.1 and the configuration was always fine, so my guess is that your server is missing some software or you altered the default configuration of postfix and amavis on your server.
  3. rmontagud

    rmontagud New Member

    I always add RBLs to my postfix configurations, just that. Everything else is done via additional configurations (spamassin rules)
  4. rmontagud

    rmontagud New Member

    The problem is it's not checking authenticated domain users and everything looks ok
  5. Jesse Norell

    Jesse Norell Active Member

    3.1 supports an rbl list in Server Config, if you have a conf-custom setup for that purpose, try removing it and run the ispconfig update to reconfigure services again.
  6. rmontagud

    rmontagud New Member

    I assume i must download the tarballl from ispconfig site to do that right?
  7. Jesse Norell

    Jesse Norell Active Member

  8. rmontagud

    rmontagud New Member

    Also, after my wonderful error i found out a spambot which guessed one of the email account passwords -_-''

    On the bright side: always enable the Autorization header, it will save you a lot of pain
  9. Gern Blanston

    Gern Blanston New Member

    I saw the same errors but couldn't get signed up to the forum. Because in the process of upgrading I had email failures, that show up in the logs like this:

    Oct 4 22:29:09 www postfix/smtps/smtpd[23497]: fatal: proxymap service is not configured for table "mysql:/etc/postfix/mysql-virtual_sender_login_maps.cf"

    Oct 4 22:29:11 www postfix/smtpd[23402]: fatal: proxymap service is not configured for table "mysql:/etc/postfix/mysql-virtual_sender_login_maps.cf"

    Any idea what causes this post-upgrade error?

  10. Jesse Norell

    Jesse Norell Active Member

    Your `proxy_read_maps` setting isn't complete; did you reconfigure services when updating? If not, run `/usr/local/ispconfig/server/scripts/update_from_tgz.sh` and answer yes to doing so.

    If that doesn't get it, do you have any config files in `/usr/local/ispconfig/server/conf-custom/install/` that need updated? If so, update those from newly updated upstream copies.

    And if that doesn't get it, just edit `/etc/postfix/main.cf` and add ` $smtpd_sender_login_maps' to the end of `proxy_read_maps` then restart postfix.

Share This Page